
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
	font-family: Arial, Helvetica, sans-serif;
}

#contenido .glyphicon  {
	padding-left: 5px;
	padding-right: 5px;
}

#barra_superior {
	width: 100%;
	height: 90px;
	background: #146883;
}

#barra_inferior {
	height: 50px;
	background: #E3DE8A;
	-webkit-transition: margin 0.5s; 
	-moz-transition: margin 0.5s; 
	-o-transition: margin 0.5s; 
    transition: margin 0.5s;
}
@media only screen and (min-width: 1024px){
	#barra_inferior{
		width: 100%;
	}
}

#contenido {
	width: 95%;
	margin: 0 auto;
}

#contenido img {
	margin: 4px;
	max-width: 100%;
	max-height: 80px;
}

#contenido h1 {
	float: right;
	color: white;
	font-family: 'Roboto Condensed', sans-serif;
	font-size: 250%;
}

#contenido p {
	color: white;
	font-family: 'Roboto Condensed', sans-serif;
	font-size: 75%;
	text-align: center;
	margin: 0;
	padding-top: 4px;
}

.contenedor_body{
	background-color: #f4f4f4;
}

/* Menú lateral */
.side-menu {
    height: 100%;
    width: 0; /* Comienza oculto */
    position: fixed;
    top: 0;
    left: 0;
    background-color: #F6F6F6;
    overflow-x: hidden;
    transition: 0.5s; /* Transición suave */
    padding-top: 60px; /* Espacio para el botón de cerrar */
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.5);
    z-index: 999;
}

/* Botón para cerrar el menú */
.close-btn {
    position: absolute;
    top: 20px;
    right: 25px;
    font-size: 36px;
    color: #52374b;
    background: none;
    border: none;
    cursor: pointer;
}

/* Estilo de los enlaces dentro del menú */
.side-menu ul {
    list-style: none;
    padding: 0;
}

.side_menu_ul_li {
    margin: 20px 0;
	color: #52374b;
    text-decoration: none;
    font-size: 18px;
    display: block;
    padding: 10px 20px;
    transition: background 0.3s;
}

.side_menu_ul_li:hover {
    background: #b5b5b5;
    border-radius: 4px;
}


/*********************************************************
                    MENU NAVEGACION
**********************************************************/
.menu{
	display: block;
}
.boton_ocultar_usuarios{
	display: block;
}
@media only screen and (min-width: 1024px){
	.menu{
		display: none;
	}
	.boton_ocultar_usuarios{
		display: none;
	}
}

.navegacion_menu{
    margin-top: 3.8em;
    padding: 1em 1em;
    background-color: #e6e6e6;
}

.contenedor_notificaciones{
	padding: 0 1em;
	background-color: #BAE5A8;
	border-radius: 10px;
	margin-bottom: 1em;
}
.icono_parrafo{
	display: flex;
	gap: .5em;
	font-weight: bold;
	margin: .2em 0;
	padding: .2em;
}
.notificacion{
	margin: .4em 0;
}
.cantidad{
	margin: .3em 0;
}

.contenedor_usuario_menu{
	display: flex;
}

.nav_chat{
	background-color: #DCDFE9;
}
.usuario{
	width: 120vw;
	margin: 0;
	padding: .5em;
	font-weight: bold;
}
@media only screen and (min-width: 1024px) {
	.contenedor_usuario_menu{
		gap: 5em;
		padding: 1em;
	}
	.usuario{
		width: 50vw;
	}
}
.ul_menu{
	margin: 0;
	padding: .5em 0;
	display: flex;
	gap: 1em;
	justify-content: flex-end;
    width: 15%;
}
@media only screen and (min-width: 1024px){
	.ul_menu{
		width: 70%;
	}
}
.li_menu{
	list-style: none;
}
.boton_proceso{
	background-color: #3388a5;
	border: none;
	margin: 1em 0;
	border-radius: 5px;
	font-size: 8px;
	font-style: italic;
}
.boton_finalizar{
	border-radius: 5px;
	border: none;
	background-color: #E43D3D;
	margin: 1em 0;
	font-size: 8px;
	font-style: italic;
}

/*********************************************************
					area para barra scroll
**********************************************************/

.scroll{
    margin: 0;
	color: #104557;
	overflow: scroll;
}
.scroll::-webkit-scrollbar {
	-webkit-appearance: none;
}
.scroll::-webkit-scrollbar:vertical {
	width:10px;
}
.scroll::-webkit-scrollbar-button:increment,.contenedor::-webkit-scrollbar-button {
	display: none;
}

.scroll::-webkit-scrollbar:horizontal {
	display: none;
}
.scroll::-webkit-scrollbar-thumb {
	background-color: rgb(121, 122, 124, 0.5);
	border-radius: 20px;
	border: 2px solid #f1f2f3;
}
.scroll::-webkit-scrollbar-track {
	border-radius: 10px;
}


/************************************************
               TABLA DE DASHBOARD
*************************************************/
.tabla_lista_ticket{
	margin-bottom: 4em;
}
.tabla{
	width: 100%;
	font-size: 10px;
	font-weight: bolder;
	margin-bottom: 0;
}
.bold{
	font-weight: bold;
}
.padding{
	padding: 0;
}
.td_dashboard{
	border: 1px solid #8099b1;
	padding: .3em;
}
.borde_tabla{
	border: 1px solid #8099b1;
}
.th_dashboard{
	border: 1px solid #8099b1;
	background-color: #939393;
	padding: .3em;
	font-weight: bold;
}
.b_blanco{
	border: 2px solid #ffffff;
}
.td_pregunta{
	width: 5vw;
	max-width: 6vw;
	line-break: normal;
}
@media only screen and (min-width: 1124px){
	.td_pregunta{
		width: 10vw;
	}
}
.a_archivos{
	margin: 0 .4em;
}
.img_archivos{
	width: 4em;
	transition: all .2s ease-in-out;
}
.img_archivos:hover{
	filter: drop-shadow(5px 2px 1px #8099b1);
}

/*************************************************
                    MODAL
**************************************************/

.modal_mediano{
	max-width: 500px;
}

/*************************************************
                    SPINNER
**************************************************/

h1.ml8 {
	font-weight: 900;
	font-size: 4.5em;
	color: #fff;
	width: 3em;
	height: 3em;
  }
  
  .ml8 .letters-container {
	position: absolute;
	left: 45%;
	right: 0;
	margin: auto;
	top: -10%;
	bottom: 0;
	height: 1em;
  }
  
  .ml8 .letters {
	position: relative;
	font-size: 1.5vw;
	z-index: 2;
	display: inline-block;
	line-height: 0.7em;
	right: -0.12em;
	top: 0.2em;
  }
  
  .ml8 .bang {
	font-size: 1.4em;
	top: auto;
	left: -0.06em;
  }
  
  .ml8 .circle {
	position: absolute;
	left: 0;
	right: 0;
	margin: auto;
	top: 0;
	bottom: 0;
  }
  
  .ml8 .circle-white {
	width: 3em;
	height: 3em;
	border: 2px dashed white;
	border-radius: 2em;
  }
  
  .ml8 .circle-dark {
	width: 2.2em;
	height: 2.2em;
	background-color: #4f7b86;
	border-radius: 3em;
	z-index: 1;
  }
  
  .ml8 .circle-dark-dashed {
	border-radius: 2.4em;
	background-color: transparent;
	border: 2px dashed #4f7b86;
	width: 2.3em;
	height: 2.3em;
  }

  /**********************************************
              DISEÑO INPUT FILE
  ***********************************************/

  .myCustomInputFile{
	background-color: rgb(25,25,25);
	color: white;
	display: inline-block;
	position: relative;
	overflow: hidden;
	padding: 15px 15px;
	width: 25px;
	height: 25px;
	font-size: 20px;
	vertical-align: middle;
  }
  
  .myCustomInputFile input[name="archivo"]{
	opacity: 0;
	position: absolute;
	top: 0;
	right: 0;
	font-size: 50px;
	cursor: pointer;
  }
  .filename{
	display: inline-block;
	vertical-align: middle;
	color: rgb(30,3,30);
	background: rgb(200,200,200);
  }

/* Modal - Oculto por defecto */
.modal {
    display: none; /* Oculto inicialmente */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5); /* Fondo semi-transparente */
    opacity: 0; /* Comienza invisible */
    transition: opacity 0.5s ease; /* Transición suave para la opacidad */
}

/* Mostrar el modal con fade in */
.modal.show {
    display: block; /* Muestra el modal */
    opacity: 1; /* Totalmente visible */
}

/* Contenido del modal */
.modal-content {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 90%;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transform: scale(0.95); /* Pequeño efecto de escala al inicio */
    transition: transform 0.3s ease; /* Transición suave para la escala */
}

/* Cuando el modal está visible */
.modal.show .modal-content {
    transform: scale(1); /* Escala normal */
}

.mostrar{
	display: block;
}
.ocultar{
	display: none;
}

/* Menú lateral */
.side-menu {
    height: 100%;
    width: 0; /* Comienza oculto */
    position: fixed;
    top: 0;
    left: 0;
    background-color: #F6F6F6;
    overflow-x: hidden;
    transition: 0.5s; /* Transición suave */
    padding-top: 60px; /* Espacio para el botón de cerrar */
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.5);
    z-index: 999;
}

/* Botón para cerrar el menú */
.close-btn {
    position: absolute;
    top: 20px;
    right: 25px;
    font-size: 36px;
    color: #52374b;
    background: none;
    border: none;
    cursor: pointer;
}

/* Estilo de los enlaces dentro del menú */
.side-menu ul {
    list-style: none;
    padding: 0;
}

.side_menu_ul_li {
    margin: 20px 0;
	color: #52374b;
    text-decoration: none;
    font-size: 18px;
    display: block;
    padding: 10px 20px;
    transition: background 0.3s;
}

.side_menu_ul_li:hover {
    background: #b5b5b5;
    border-radius: 4px;
}

/**************************************************************************
								LOGIN
***************************************************************************/

.body_login{
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	min-height: 100vh;
	padding: 0 10px;
	color: white;
}
.body_login::before{
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	background: url("../img/fondo_colegio.jpg");
	background-size: cover;
	background-position: center;
	z-index: -1;
}
.contenedor_login{
	width: 490px;
	border-radius: 8px;
	padding: 30px;
	text-align: center;
	background-color: rgba(0, 0, 0, .4);
	border: 1px solid #ffffff80;
	backdrop-filter: blur(8px);
}
.form_login{
	display: flex;
	flex-direction: column;
}
.input_field{
	position: relative;
	border-bottom: 2px solid #cccccc;
	margin: 15px 0;
}
.label_usuario, .label_password{
	position: absolute;
	color: #ffffff;
	top: 50%;
	left: 0;
	transform: translateY(-50%);
	font-size: 16px;
	pointer-events: none;
	transition: 0.15s ease;
}
.input_usuario, .input_password{
	width: 100%;
	height: 40px;
	color: #ffffff;
	background-color: transparent;
	border: none;
	outline: none;
	font-size: 16px;
	padding: .5em;
	font-weight: bold;
	margin: .5em;
	border-radius: 5px;
}
.input_usuario:focus ~ .label_usuario,
.input_password:focus ~ .label_password{
	font-size: 0.8rem;
	top: 10px;
	transform: translateY(-120%);
}
.input_usuario:valid ~ .label_usuario,
.input_password:valid ~ .label_password {
    font-size: 0.8rem;
    top: 10px;
    transform: translateY(-120%);
}
.btn_login{
	padding: 1em;
	font-weight: bold;
	border-radius: 5px;
	border: none;
	color: #ffffff;
	background-color: #65b04d;
	transition: all ease-in-out .1s;
}

.btn_login:hover{
	cursor: pointer;
	background-color: #50953a;
}

/*********************************************************************
 * 							GRAFICAS
 * *******************************************************************/

 /*** GRAFICA DE PIE ***/
.pie-container {
    position: relative;
    width: 300px;
    height: 300px;
    margin: 1em;
}

.pie{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: conic-gradient(#eee 0 100%);
    transition: background 0.5s ease;
    cursor: pointer;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
}

.tooltip{
    position: absolute;
    background: rgba(0,0,0,0.8);
    color: white;
    padding: 6px 10px;
    border-radius: 4px;
    font-size: 14px;
    display: none;
    pointer-events: none;
    white-space: nowrap;
}

.legend{
    margin-top: 20px;
    text-align: left;
    display: inline-block;
}

.legend{
    margin: 1px 0;
    cursor: pointer;
}

.box {
    display: inline-block;
    width: 12px;
    height: 12px;
    margin-right: 5px;
    vertical-align: middle;
}
.clicked {
    font-weight: bold;
    color: #52374b;
}
.legend-item.clicked {
    font-weight: bold;
    color: #52374b;
}

/*** GRAFICA DE BARRAS ***/

.bar-container {
    margin: 1em 2em;
}

.bar {
    width: 10px;
    position: relative;
    transition: height 0.3s ease;
    cursor: pointer;
}

.bar-value {
    position: absolute;
    top: -25px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 12px;
    color: #333;
}

.bar-label {
    text-align: center;
    margin-top: 5px;
    font-size: 12px;
}

/***************************************************
						MURO
****************************************************/

/*===============================================================
                  ESTO ES EL MENU DE ARRIBA 
================================================================*/

.nav_header{
    width: 100%;
    height: 55px;
    background: rgba(255,255,255,.7);
    border-bottom: 1px solid #D5D5D5 ;
    display: flex;
    justify-content: space-between;
    position: fixed;
    z-index: 1000;
    top: 0;
}
.content-derecha{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    min-width: 60px;
}
.contenedor_cares{
    display: flex; 
}
.img_logo_cares{
    width: 40px;
    height: 40px;
    margin: 5px 20px ;
}
.text_cares{
    position: relative;
    top: 5px;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
}
.p_text_cares{
    font-size: 0.75rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 200;
    color: #444;
}

.span_text_cares{
    font-size: 1rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 800;
    letter-spacing: 2px;
    color: #1A374D;
}

/*menu de arriba responsivo*/

@media only screen and (min-width: 700px){

    .nav_header{
        height: 60px;        
    }
    .img_logo_cares{
        width: 45px;
        height: 45px;
    }

    .text_cares{
        margin: 0;
    }
    .p_text_cares{
        font-size: 1rem;        
    }

    .span_text_cares{
        font-size: 1.3rem;        
    }

}


/*===============================================================
          ESTO ES EL MENU NAVEGACION DE LOS 1024PX
================================================================*/

.body_nav{
    display: none;
}

@media only screen and (min-width: 1024px) {
    
.body_nav{
    display: block;
}
}
.navegacion{
    display: flex;
    justify-content: center;
    align-items: center;
    left: calc(50% - 300px);   
    height: 100%;
}
.nav-a{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    text-align: center;
    font-weight: 500;
    transition: 0.3s all ease-in-out;
}
.filter1:hover{
    filter: drop-shadow(0 0 1rem rgb(0, 0, 0));
}

.imagen_muro::before {
  content: "Muro";
  position: absolute;
  top: 3em;
  color: #000000;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
  white-space: nowrap;
}

.imagen_muro:hover::before {
  opacity: 1;
}

.imagen_horario::before {
  content: "Horario";
  position: absolute;
  top: 3em;
  color: #000000;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
  white-space: nowrap;
}

.imagen_horario:hover::before {
  opacity: 1;
}

.imagen_tareas::before {
  content: "Tareas";
  position: absolute;
  top: 3em;
  color: #000000;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
  white-space: nowrap;
}

.imagen_tareas:hover::before {
  opacity: 1;
}

.imagen_asistencia::before {
  content: "Asistencia";
  position: absolute;
  top: 3em;
  color: #000000;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
  white-space: nowrap;
}

.imagen_asistencia:hover::before {
  opacity: 1;
}

.imagen_desarrollo::before {
  content: "Desarrollo de Avance";
  position: absolute;
  top: 3em;
  color: #000000;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
  white-space: nowrap;
}

.imagen_desarrollo:hover::before {
  opacity: 1;
}

.imagen_tools::before {
  content: "Herramientas";
  position: absolute;
  top: 3em;
  color: #000000;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
  white-space: nowrap;
}

.imagen_tools:hover::before {
  opacity: 1;
}

.icon-nav
{
    position: relative;
    display: block;
    font-size: 1.5em;
    text-align: center;
    color: #000;
}

.iconos-menu{
    max-width: 33%;
    width: 100%;
}

.navegacion-abajo ul li.active .nav-a .icon-nav{
    transform: translateY(-32px);
}
.text-nav{
    position: absolute;
    color: #000;
    font-weight: 400;
    font-size: 0.75em;
    letter-spacing: 0.05em;
    transition: 0.5s;
    opacity: 0;
    transform: translateY(20px);
}

.navegacion-abajo ul li.active .nav-a .text-nav{
    opacity: 1;
    transform: translateY(10px);
}

.indicador{
    position: absolute;
    top: -50%;
    width: 70px;
    height: 70px;
    background: #a09697;
    border-radius: 50%;
    transition: 0.5s;
}


/*===============================================================
          ESTO ES EL MENU NAVEGACION DE RESPONSIVO
================================================================*/

.nav-a
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    text-align: center;
    font-weight: 500;
}

.icon-nav
{
    position: relative;
    display: block;
    line-height: 75px;
    font-size: 1.5em;
    text-align: center;
    transition: 0.5s;
    color: #000;
}

.iconos-menu
{
    max-width: 33%;
    width: 100%;
}

.navegacion-abajo ul li.active .nav-a .icon-nav
{
    transform: translateY(-32px);
}

.text-nav
{
    position: absolute;
    color: #000;
    font-weight: 400;
    font-size: 0.75em;
    letter-spacing: 0.05em;
    transition: 0.5s;
    opacity: 0;
    transform: translateY(20px);
}

.navegacion-abajo ul li.active .nav-a .text-nav
{
    opacity: 1;
    transform: translateY(10px);
}

.indicador
{
    position: absolute;
    top: -50%;
    width: 70px;
    height: 70px;
    background: #a09697;
    border-radius: 50%;
    transition: 0.5s;
}

.telefono-body
{
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index:1000;

}

.menu-responsivo
{
    position: relative;
    width: 160px;
    height: 70px;
    
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.7s;
}

.menu-responsivo.active
{
    margin-bottom: 8rem;
}

.menu-responsivo li
{
    position: absolute;
    left: 0;
    list-style: none;
    transform-origin: 80px;
    transition: 0.5s;
    transition-delay: calc(0.1s * var(--i));
    transform: rotate(0deg) translateX(60px);
}

.menu-responsivo.active li
{
    
    transform: rotate(calc(360deg / 8 * var(--i)));
}


.menu-responsivo li a
{
    display: flex;
    background: #fff;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    transform: rotate(calc(360deg / -8 * var(--i)));
    color: #000;
    font-size: 25px;
    box-shadow: 0 3px 4px rgba(0, 0, 0, 0.15);
    
}

.menu-telefono
{
    position: absolute;
    width: 60px;
    height: 60px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.5);
    font-size: 1.5em;
    transition: 1s;
}



.menu-responsivo.active  .menu-telefono  
{
    transform: rotate(315deg);
}

@media only screen and (min-width: 1024px){

    .telefono-body
    {
        display: none;
    }
}
.numero-mensajes-chat{
    position: absolute;
    text-decoration: none;
    font-size: .6em;
    top: -1em;
}
.numero-comentarios-tareas{
    position: relative;
    text-decoration: none;
    font-size: .7em;
    margin-top: -2em;
    margin-left: -3em;
    font-weight: bold;
}

/*===============================================================
                  ESTO SON LAS NOTIFICACIONES 
================================================================*/

.notificacion{
    display: flex;
    
}
.nav-notificacion{
    cursor: pointer;
}
.notificacion .menu-notificacion{
    position: absolute;
    top: 70px;
    right: 25px;
    background: rgba(255, 255, 255, 0.8);
    padding: 10px 20px;
    width: 80%;
    max-height: 600px;
    box-sizing: 0 5px 25px rgba(0,0,0,0.1);
    box-shadow: 0px 5px 15px 0px rgb(66 24 113 / 30%);
    border-radius: 15px;
    transition: 0.5s;
    visibility: hidden;
    opacity: 0;
    overflow: auto;
}
.notificacion .menu-notificacion.active{
    top: 60px;
    visibility: visible;
    opacity: 1;
}
.menu-notificacion h3{
    width: 100%;
    text-align: center;
    font-size: 18px;
    padding: 20px 0;
    font-weight: 500;
    color: #555;
    line-height: 1.2em;
}
.menu-notificacion h3 span{
    font-size: 14px;
    color: #bdbdbd;
    font-weight: 400;
}

.menu-notificacion ul li{
    list-style: none;
    padding: 10px 0;
    border-top: 1px solid rgba(0,0,0,0.2);
    display: flex;
    align-items: center;    
}

.img-notificaciones{
    width: 2.5em;
    height: 2.5em;
    border-radius: 50%;
    transition: 0.3s all ease-in-out;
}

.nombre-notificacion{
    margin-left: 1em;
    font-size: 10px;
    max-width: 80%;
    font-weight: 800;
    color: #000;
    
}
.icon-noti{
    width: 25px;
    right: 4em;
    bottom: 1.2rem;
    position: absolute;
}

.span-notificacion{
    font-weight: 400;
}

.menu-notificacion ul li ion-icon{
    font-size: 20px;
    margin-right: 5px;
    opacity: 0.5;
    transition: 0.5s;
}
.menu-notificacion ul li:hover ion-icon{
    opacity: 1;
}
.menu-notificacion ul li a{
    display: flex;
    text-decoration: none;
    color: #555;
    font-weight: 500;
    transition: 0.5s;
}
.menu-notificacion ul li:hover{
    background: #eee;
    border-radius: 5px;
}

/*notificacion respnsivo*/

@media only screen and (min-width: 700px) {
    
    .nav-notificacion ion-icon{    
        font-size: 30px;
        color: #1A374D;    
    }
    .img-notificaciones{
        width: 2.5em;
        height: 2.5em;
    }
    .nombre-notificacion{
        margin-left: 1em;
        font-size: 10px;
        font-weight: 800;
        color: #000;    
    }
    .notificacion .menu-notificacion{
        top: 120px;
        right: 2px;
        width: 24%;
    }
    .notificacion .menu-notificacion.active{
        top: 65px;
    }

}

/*===============================================================
                  ESTO SON LAS COMENTARIOS TAREAS 
================================================================*/

.notificacion2{
    display: flex;
    margin-right: .9em;
}
.nav-notificacion2{
    cursor: pointer;
}
.notificacion2 .menu-notificacion2{
    position: absolute;
    top: 70px;
    right: 25px;
    background: rgba(255, 255, 255, 0.8);
    padding: 10px 20px;
    width: 80%;
    max-height: 600px;
    box-sizing: 0 5px 25px rgba(0,0,0,0.1);
    box-shadow: 0px 5px 15px 0px rgb(66 24 113 / 30%);
    border-radius: 15px;
    transition: 0.5s;
    visibility: hidden;
    opacity: 0;
    overflow: auto;
}
.notificacion2 .menu-notificacion2.active{
    top: 60px;
    visibility: visible;
    opacity: 1;
}
.icon-noti-2{
    width: 25px;
    right: 7em;
    bottom: 1.2rem;
    position: absolute;
}
.menu-notificacion2 h3{
    width: 100%;
    text-align: center;
    font-size: 18px;
    padding: 20px 0;
    font-weight: 500;
    color: #555;
    line-height: 1.2em;
}
.menu-notificacion2 h3 span{
    font-size: 14px;
    color: #bdbdbd;
    font-weight: 400;
}
.menu-notificacion ul li{
    list-style: none;
    padding: 10px 0;
    border-top: 1px solid rgba(0,0,0,0.2);
    display: flex;
    align-items: center;    
}
.img-notificaciones2{
    width: 2.5em;
    height: 2.5em;
    border-radius: 50%;
}
.nombre-notificacion2{
    margin-left: 1em;
    font-size: 10px;
    max-width: 80%;
    font-weight: 800;
    color: #000;    
}
.span-notificacion2{
    font-weight: 400;
}
.menu-notificacion2 ul li ion-icon{
    font-size: 20px;
    margin-right: 5px;
    opacity: 0.5;
    transition: 0.5s;
}
.menu-notificacion2 ul li:hover ion-icon{
    opacity: 1;
}

.menu-notificacion2 ul li a{
    display: flex;
    text-decoration: none;
    color: #555;
    font-weight: 500;
    transition: 0.5s;
}
.menu-notificacion2 ul li:hover{
    background: #eee;
    border-radius: 5px;
}

/*notificacion respnsivo*/

@media only screen and (min-width: 700px) {
    
    .nav-notificacion2 ion-icon{    
        color: #1A374D;    
    }
    .img-notificaciones2{
        width: 2.5em;
        height: 2.5em;
    }
    .nombre-notificacion2{
        margin-left: 1em;
        font-size: 10px;
        font-weight: 800;
        color: #000;    
    }
    .notificacion2 .menu-notificacion2{
        top: 120px;
        right: 2px;
        width: 24%;
    }
    .notificacion2 .menu-notificacion2.active{
        top: 65px;
    }

}

/*===============================================================
                    ESTO ES EL MENU PERFIL 
================================================================*/

.action{
    margin: 0 15px 5px;
}
.perfil{
    position: relative;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer;
}
.img-perfil{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.3s all ease-in-out;
}
.action .menu-perfil{
    position: absolute;
    top: 120px;
    right: 10px;
    background: rgba(255, 255, 255, 0.8);
    box-shadow: 0px 5px 15px 0px rgb(66 24 113 / 30%);
    padding: 10px 20px;
    width: 200px;
    box-sizing: 0 5px 25px rgba(0,0,0,0.1);
    border-radius: 15px;
    transition: 0.5s;
    visibility: hidden;
    opacity: 0;
}
.action .menu-perfil.active{
    top: 60px;
    visibility: visible;
    opacity: 1;
}
.menu-perfil h3{
    width: 100%;
    text-align: center;
    font-size: 18px;
    padding: 20px 0;
    font-weight: 500;
    color: #555;
    line-height: 1.2em;
}
.menu-perfil h3 span{
    font-size: 14px;
    color: #bdbdbd;
    font-weight: 400;
}
.menu-perfil ul li{
    list-style: none;
    padding: 10px 0;
    border-top: 1px solid rgba(0,0,0,0.2);
    display: flex;
    align-items: center;    
}
.menu-perfil ul li ion-icon{
    font-size: 20px;
    margin-right: 5px;
    opacity: 0.5;
    transition: 0.5s;
}
.menu-perfil ul li:hover ion-icon{
    opacity: 1;
}
.menu-perfil ul li a{
    display: inline-block;
    text-decoration: none;
    color: #555;
    font-weight: 500;
    transition: 0.5s;
}
.menu-perfil ul li:hover a{
    color: rgb(76, 149, 197);
}

/*perfil responsivo*/

@media only screen and (min-width: 700px){

    .perfil{    
        width: 30px;
        height: 30px;    
    }
    .action .menu-perfil.active{
        top: 65px;    
    }

}

/*===================================================================
                    CSS DEL MODAL PUBLICACIÓN
=====================================================================*/   

.body_modal {
    background-color: #edeef6;
    font-family: 'Poppins', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
}

.boton_modal {
    background-color: #47a386;
    border: 0;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    color: #fff;
    font-size: 14px;
    padding: 10px 25px;
}
.modal_container {
    display: flex;
    background-color: rgba(0, 0, 0, 0.3);
    align-items: center;
    justify-content: center;
    position: fixed;
    pointer-events: none;
    opacity: 0;  
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    transition: opacity 0.3s ease;
}
.show {
    pointer-events: auto;
    opacity: 1;
}
.modal_publicacion{
    background-color: #fff;
    width: 600px;
    max-width: 100%;
    padding: 30px 50px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    text-align: center;
}
.modal_publicacion h1 {
    margin: 0;
}
.modal_publicacion p {
    opacity: 0.7;
    font-size: 14px;
}

/*===================================================================
                    CSS DEL SPINNER
=====================================================================*/

#cargando {
    text-align: center;
}
#cargando img {
    display: none;
    margin: 0 auto;
}
.spinner {
    margin: 20px auto;
    width: 240px;
    height: 180px;
    text-align: center;
    font-size: 30px;
    font-weight: bold;
    font-family: "Comic Sans MS";
}
.espera{
    text-align: center;
    font-size: 30px;
    color: #000000;
    font-weight: bold;
    font-family: "Comic Sans MS";
}
.spinner > div {
    background-color: transparent;
    height: 100%;
    width: 30px;
    display: inline-block;    
    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
}  
.spinner .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}  
.spinner .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}  
.spinner .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}  
.spinner .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}
.hidden{
    display: none;
}

@-webkit-keyframes sk-stretchdelay {

    0%, 40%, 100% { 
        -webkit-transform: scaleY(0.4) 
    }  
    20% { 
        -webkit-transform: scaleY(1.0) 
    }

}
  
@keyframes sk-stretchdelay {

    0%, 40%, 100% { 
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }  
    20% { 
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }

}


.seccion{
    padding: 30px 0;
}
.seccion p{
    font-size: 1.2em;
    text-align: center;
}
/** utilidades **/
.h2{
    font-family: Century Gothic;
    font-size: 2.4em;
    text-transform: uppercase;
    text-align: center;
}
.h2::after{
    content: '';
    margin: 0 auto;
    height: 30px;
    width: 100px;
    display: block;
}

.button{
    background-color: #fe4918;
    padding: 10px 40px;
    color: #ffffff;
    text-transform: uppercase;
    font-weight: bold;
    font-family: Century Gothic;
    text-decoration: none;
    font-size: 1em;
    margin-top: 20px;
    display: inline-block;
    transition: all .3s ease;
}
.button:hover{
    background-color: #e33000;
}
.button.hollow,
.button.hollow:hover{
    background-color: white;
    color: #fe4918;
}
.button.transparente{
    background-color: transparent;
    border: 2px solid #ffffff;
}
.button.transparente:hover{
    background-color: #fe4918;
    border: 2px solid #fe4918;
}
ul{
    list-style: none;
    margin: 0;
    padding: 0;
}
.float-right{
    float:right;
}

/** Barra red social**/
header{
    margin: 0;
    max-width: 100%;
    width: 100%;
}
div.barra2{
    margin: 0 auto;
    background-color: #498BA6;
    width: 100%;
}
div.logo2{
    text-align: center;
    width: 100%;
    float: left;
}
div.logo2 img{
    margin: 0 1em;
    width: 4em;
    filter: drop-shadow(5px 5px 10px #444);
}
@media only screen and (min-width: 1024px){
    div.barra2{
        position: fixed;
        margin: 0;
        max-width: 100%;
        width: 100%;
        z-index: 500;
    }
    div.logo2 {
        width: 10em;
        float: left;
    }
    div.logo2 img{
        margin: 1em 1em;
        width: 6em;
        filter: drop-shadow(5px 5px 10px #444);
    }
}
/** Navegacion Principal **/
nav.navegacion-principal a{
    display: none;
}
nav.navegacion-principal2 a{
    font-family: 'Kirang Haerang', cursive;
    color: #ffffff;
    display: inline;
    position: relative;
    text-decoration: none;
    transition: all .3s ease;
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
    clear: both;
}
.mostrar-tiempo{
      position: absolute;
      top: 1vw;
      left:10vw;
}
.texto-tiempo{
      color: #ffffff;
      font-weight: bold;
}
nav.navegacion-principal a:hover{
    color: gray;
    text-shadow: 2px 2px 4px #000000;
}
nav.navegacion-principal a:last-child{
    color: gray;
    text-shadow: 2px 2px 4px #000000;
}
nav.navegacion-principal a:last-child:hover{
    color: #ffffff;
}
nav.navegacion-principal2 a i{
    color: #ffffff;
    font-size: 1.4em;
    position: relative;
    text-decoration: none;
    transition: all .3s ease;
    text-align: center;
    clear: both;
    padding: .5em;
}
@media only screen and (min-width: 640px) {
    nav.navegacion-principal a{
        display: none;
    }
    nav.navegacion-principal2 a{
        font-family: 'Kirang Haerang', cursive;
        color: #ffffff;
        display: inline;
        position: relative;
        text-decoration: none;
        transition: all .3s ease;
        width: 100%;
        text-align: center;
        margin-bottom: 20px;
        clear: both;
    }
    nav.navegacion-principal2 a:hover{
        color: gray;
        text-shadow: 2px 2px 4px #000000;
    }
    nav.navegacion-principal2 a:last-child{
        color: gray;
        text-shadow: 2px 2px 4px #000000;
    }
    nav.navegacion-principal2 a:last-child:hover{
        color: #ffffff;
    }
    nav.navegacion-principal2 a i{
        color: #ffffff;
        font-size: 1.6em;
        position: relative;
        text-decoration: none;
        transition: all .3s ease;
        text-align: center;
        clear: both;
        padding: 1em;
    }
}
@media only screen and (min-width: 1024px) {
    nav.navegacion-principal2 {
        display: none;
    }
    nav.navegacion-principal {
        width: 80%;
        text-align: right;
        float: right;
        padding: 1.5rem 10px;
    }
    nav.navegacion-principal a{
        padding: .5em;
        display: inline;
        text-align: center;
        font-family: 'Kirang Haerang', cursive;
        color: #ffffff;
        font-size: 1.6em;
        position: relative;
        text-decoration: none;
        transition: all .3s ease;
        width: 20%;
        clear: both;
    }
  
}
.mensajes-no-leidos{
    padding: 5px 8px;
    border-radius: 50%;
    background-color: #ECFF00;
    color: #000000;
    font-weight: bold;
}
/* area de publicaciones y amigos del usuario */
  .con-sidebar{
    max-width: 100%;
    width: 100%;
    padding-top: 1em;

}


/** SECCION AMIGOS **/





@media only screen and (min-width: 1024px){
    .li-amigos{
        display: flex;
        padding: .5em;
        margin: .2em 0;
        
    }
    .li-amigos:hover{
        background-color: #ECECEC;
        border-radius: 5px;
    }
    .img-amigos{
        display: flex;
        width: 3em;
        height: 3em;
        border-radius: 50%;
        object-fit: cover;
        box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.3);
    }
    .nombre-amigos{
        margin-left: .5em;
        font-size: 14px;
        font-weight: bold;
        color: #000000;
        padding: 1em 0;
    }
    .h3-amigos{
        text-align: center;
    }
}
/** seccion de amigos**/

    .amigos{
        display:none;
    }

@media only screen and (min-width: 1024px) {
    .amigos{
        display: block;
        position: fixed;
        max-width: 20%;
        border-radius: 1em;
        height: 80%;
        overflow: scroll;
        top:5em;
        left:1em;
        padding: 1em;
        background-color: rgba(255, 255, 255, 0.6);
        box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    }
}
.amigos::-webkit-scrollbar {
    -webkit-appearance: none;
}

.amigos::-webkit-scrollbar:vertical {
    width:10px;
}

.amigos::-webkit-scrollbar-button:increment,.contenedor::-webkit-scrollbar-button {
    display: none;
}

.amigos::-webkit-scrollbar:horizontal {
    display: none;
}

.amigos::-webkit-scrollbar-thumb {
    background-color: rgba(198, 198, 198, 0.75);
    border-radius: 20px;
    border: 2px solid #f1f2f3;
}

.amigos::-webkit-scrollbar-track {
    border-radius: 10px;
}

/** Avance Aprendizaje **/
.avance-aprendizaje{
    position: relative;
    background-color: #D8D8D8;
    width: 100%;
    border-radius: 1em;
    margin-top: 2em;
    padding: 1em;
}
.avance-aprendizaje h3{
    text-decoration: none;
    color: #ffffff;
    font-size: 20px
}
.title-avance{
    color: #5D6D7E;
    font-size: 20px;
    text-transform: uppercase;
    text-align: center;
}
.av{
    position: relative;
    margin: .5em 2em;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    background-color: #FFEE43;
    display: inline-block;
    width: 80%;
    height: 6em;
    padding: 1em;
    border-radius: 1em;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.3);
}
.reporte-actitudinal h3{
    text-decoration: none;
    color: #ffffff;
    font-size: 20px
}
.reporte-actitudinal{
    background-color: #D8D8D8;
    width: 100%;
    border-radius: 1em;
    margin-top: 2em;
    padding: 1em;
}
.reporte-actitudinal p{
    width: 1005;
    font-size: 14px;
    margin-left: 0;
}

/**CONTENIDO DE PUBLICACIONES**/
.content-perfil{
    width: 100%;
    
}
.content-publicaciones{
    width: 100%;
    margin: 5em 0;
  
}

.detalles-perfil
{
    display:none;
}

.span-publicar{
    color: #A1A1A1;
    font-size: 14px;
    font-weight: bold;
    background-color: #e8e8e8;
    border: 1px solid #7777;
    border-radius: 5em;
    width: 90%;
    height: 3em;
    padding: 1.5em 1.5em;
    outline: none;
}
.span-publicar:hover{
    background-color: #E0E0E0;
    
    
}


    
 /*---------------------------------------
    esto son las publicaciones de muro
    -------------------------------------*/
    
.estado-p{

    display: flex;
    justify-content: center;
}

.publicacion-text{
    text-align: center;
    font-size: 1.5em;
    color: #333;
    position: relative;
    bottom: 0.5em;
    font-weight: 800;
}
    

@media only screen and (min-width: 1024px) {
    .content-publicaciones{
    position: relative;
    margin-left: 25%;
    top: 4rem;
    width: 50%;
    padding-bottom: 8rem;
    
    
    }
    
    .content-perfil{
    position: relative;
    margin-left: 25%;
    width: 50%;
    padding-bottom: 8rem;
    
  
}
    
    .publicacion-text
    {
    bottom: 2em;
    }
    
    .estado-p{
    width: 100%;
    height: 4.5em;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    border: 1px solid #7777;
    }
    
}


.publicaciones{
    position: relative;
    width: 100%;
}
.contenedor-publicacion{
    width: 100%;
    margin-top: 1em;
    background-color: #eeee;
    border-radius: 10px;
    border: 1px solid #7777;
    position: relative;

}

.borrar-p
{
    position: absolute;
    top: 5px;
    right: 10px;
}
.publicacion{
  padding: 1em;
  border-bottom: 1px solid #7777;
  margin-bottom: 1em;
}

.text-sm{
    display: flex;
    justify-content: end;
    align-items: flex-end;
    font-size: 12px;
}

.fa-times{
    position: relative;
    color: #ffffff;
    margin-top: -2em;
    left: 98%;
}
.titulo-grado{
    font-size: 50px;
}
.boton-publicaciones{
    width: 30%;
    margin-left: 30%;
    background-color: #2ABB37;
    color: #ffffff;
}
.select-form-publicaciones{
    border-radius: 5px;
    font-size: 12px;
}
.textarea-form-publicaciones{
    border-radius: 2em;
    padding: 1em;
    max-width: 100%;
    width: 100%;
}
.textarea-form-publicaciones:focus{
    outline:none !important;
    outline-width: 0 !important;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
}
.archivo-publicacion{
  width: 100%;
  height: 100%;
}
.pdf-publicacion{
    width: 100%;
    height: 700px;
}
.h4-publicacion{
  font-size: 20px;
}
.foto-nombre-publicacion{
    display: flex;
}
.borrar-publicacion{
    margin-left: 90%;
}
.foto-perfil-publicacion{
width: 3em;
height: 3em;
object-fit: cover;
border-radius: 50%;
margin-right: .5em;
box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.3);
}




@media only screen and (min-width: 1024px) {
  .foto-perfil-publicacion{
  width: 3em;
  height: 3em;
  object-fit: cover;
  border-radius: 50%;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.3);
  }
  .nombre-fecha{
      margin-left:5px;
  }
}
.fecha-publicacion{
  font-size: 10px;
}

.coment-text
{
    display: flex;
    margin: 1rem;
}

.foto-publicacion{
    width: 2rem;
    height: 2rem;
    margin: 1rem;
}

.texto-publicacion{
    margin: 1em 0;
    overflow: auto;
-webkit-user-modify: read-write-plaintext-only;
}
.contenido-publicacion{
  font-size: 16px;
}

.nombre-perfil-comentario{
    font-size: 13px;
}
.form-comentarios{
  margin: auto;
  
  display: flex;
  width: 100%;
}
.ul-comentarios{
    display: flex;
    width: 100%;
    margin: 10px;
}

.li-comentarios{
    margin-left: 10px;
    width: 80%;
}

.li-buttom{
    margin: 0 10px;
}

.input-comentarios{
  font-size: 14px;
    border-radius: 10px;
    padding: 0.5em;
    border: 1px solid #999;
    background: #7777;
    width: 100%;
}



.img-comentario{
    width: 30%;
    display: flex;
    padding: 10px;
}

.imagen-en-comentario{
    width: 100%;
    height: 100%;
}

.input-comentarios:focus{
  outline:none !important;
  outline-width: 0 !important;
  box-shadow: none;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
}
.texto-comentarios{
margin-top: .5em;
margin-left: 1em;
display: grid;
grid-template-columns: 1fr 9fr;
column-gap: 3rem;
}


@media only screen and (min-width: 1024px) {
  .texto-comentarios{
  margin-top: .5em;
  margin-left: 2em;
  display: grid;
  grid-template-columns: 1fr 9fr;
  column-gap: 4rem;
  }
}


.comment-text{
    display: flex;
    margin: 1rem 1.7rem;
}

.foto-comentario{
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
    margin: 0 0.5rem;
}

.fecha-comentario{
    font-size: 8px;
}

.nombre-comentario{
  
    margin-right: 2em;
    background-color: #2222;
    border-radius: 1em;
    padding-left: 1em; 
    display: inline-block;
    padding: 0.5rem;
    margin-top: 10px;
}

.archivo-subir{
    position: relative;
    top: 1.2em;
    width: 22%;
    right: 1em;
}


.comentario-texto
{
    font-size: 14px;
}

.mas-comentarios{
  cursor: pointer;
  color: #3C8DBC;
  font-weight: bold;
  text-decoration: none;
}
/**contenido vista-comentarios**/
.fecha-comentarios{
  margin-bottom: -2em;
  margin-right: 1em;
  text-align: right;
  font-size: 12px;
}
.nombre-usuario-comentarios{
  margin-top: 1em;
  margin-bottom: .5em;
  font-size: 14px;
  font-weight: bold;
}
.comentarios{
  font-size: 16px;
}
/**comentarios-completos**/
.foto-perfil-comentario{
  width: 4em;
  border-radius: 50%;
}
.nombre2-comentario{
  height: 100%;
  margin-left: -6em;
  margin-right: 2em;
  background-color: #D3DB9C;
  border-radius: 1em;
  padding-left: 1em;
}
/***********************************************************
                MÓDULO DE MANTENIMIENTOS
************************************************************/
.lista_grados{
    display: grid;
    max-width: 1200px;
    margin: 0 auto;
    gap: 1rem;
    grid-template-columns: repeat(auto-fit,minmax(300px, 1fr));
}

.lista_opciones{
    display: grid;
    max-width: 1175px;
    margin: 0 auto;
    gap: 1em;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
}
.check_opciones{
    appearance: none;
    cursor: pointer;
    font-weight: 600;
}
.off::before{
    content: 'OFF';
    border: #dbdbdb 2px solid;
    background-color: rgb(128, 0, 0);
    color: #ffffff;
    padding: 5px 10px;
    border-radius: 5px;
}
.on::before{
    content: 'ON';
    border: #dbdbdb 2px solid;
    background-color: rgb(21, 128, 0);
    color: #ffffff;
    padding: 5px 10px;
    border-radius: 5px;
}

/********* MÓDULO SERVICIO *********/

.contenedor_servicio{
    width: 100%;          /* ancho deseado */
    height: 150px;         /* alto deseado (recorte) */
    overflow: hidden;
    position: relative;
}
.img_servicio{
  width: 100%;
  height: 100%;
  object-fit: cover;             /* recorta manteniendo proporción */
  object-position: center center; /* centra horizontal y verticalmente */
}
.titulo_servicio{
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background-color: rgba(0, 0, 0, 0.7); /* Negro con 40% opacidad */
  pointer-events: none; /* Para que no bloquee clicks */
}

/********* AREA DE COTIZACIÓN POR SERVICIO **********/

.input_cotizacion{
	position: relative;
    color: #6b6b6b;
    background-color: transparent;
    border: none;
    outline: none;
    padding: .5em;
	border-bottom: 2px solid #838383;
	margin: 15px 0;
    width: 90%;
}


